Index: /trunk/include/functions_search.inc.php
===================================================================
--- /trunk/include/functions_search.inc.php	(revision 27883)
+++ /trunk/include/functions_search.inc.php	(revision 27884)
@@ -593,4 +593,6 @@
   var $images_iids;
   var $iids;
+
+  var $variants;
 }
 
@@ -599,4 +601,14 @@
   //@TODO: inflections for english / french
   $qsr->images_iids = array_fill(0, count($expr->tokens), array());
+
+  $inflector = null;
+  $lang_code = substr(get_default_language(),0,2);
+  include_once(PHPWG_ROOT_PATH.'include/inflectors/'.$lang_code.'.php');
+  $class_name = 'Inflector_'.$lang_code;
+  if (class_exists($class_name))
+  {
+    $inflector = new $class_name;
+  }
+
   $query_base = 'SELECT id from '.IMAGES_TABLE.' i WHERE ';
   for ($i=0; $i<count($expr->stokens); $i++)
@@ -608,4 +620,17 @@
     $like = str_replace( array('%','_'), array('\\%','\\_'), $like); // escape LIKE specials %_
     $clauses[] = 'CONVERT(file, CHAR) LIKE \'%'.$like.'%\'';
+
+    if ($inflector!=null && strlen($token)>2
+      && ($expr->stoken_modifiers[$i] & (QST_QUOTED|QST_WILDCARD))==0
+      && strcspn($token, '\'0123456789') == strlen($token)
+      )
+    {
+      $variants = array_unique( array_diff( $inflector->get_variants($token), array($token) ) );
+      $qsr->variants[$token] = $variants;
+    }
+    else
+    {
+      $variants = array();
+    }
 
     if (strlen($token)>3) // default minimum full text index
@@ -616,4 +641,8 @@
       if ($expr->stoken_modifiers[$i] & QST_WILDCARD_END)
         $ft .= '*';
+      foreach ($variants as $variant)
+      {
+        $ft.=' '.$variant;
+      }
       $clauses[] = 'MATCH(i.name, i.comment) AGAINST( \''.addslashes($ft).'\' IN BOOLEAN MODE)';
     }
@@ -622,7 +651,8 @@
       foreach( array('i.name', 'i.comment') as $field)
       {
-        $clauses[] = $field.' LIKE \''.$like.' %\'';
+        /*$clauses[] = $field.' LIKE \''.$like.' %\'';
         $clauses[] = $field.' LIKE \'% '.$like.'\'';
-        $clauses[] = $field.' LIKE \'% '.$like.' %\'';
+        $clauses[] = $field.' LIKE \'% '.$like.' %\'';*/
+        $clauses[] = $field.' REGEXP \'[[:<:]]'.addslashes(preg_quote($token)).'[[:>:]]\'';
       }
     }
@@ -754,6 +784,10 @@
         $tag_id = $token_tag_ids[$i][$j];
         $counter += $all_tags[$tag_id]['counter'];
-        if ($counter > 200 && $j>0 && $token_tag_scores[$i][0] > $token_tag_scores[$i][$j] )
-        {// "many" images in previous tags and starting from this tag is less relevent
+        if ( $j>0 && (
+          ($counter > 100 && $token_tag_scores[$i][0] > $token_tag_scores[$i][$j]) // "many" images in previous tags and starting from this tag is less relevant
+          || ($token_tag_scores[$i][0]==1 && $token_tag_scores[$i][$j]<0.8)
+          || ($token_tag_scores[$i][0]>0.8 && $token_tag_scores[$i][$j]<0.5)
+          ))
+        {// we remove this tag from the results, but we still leave it in all_tags list so that if we are wrong, the user chooses it
           array_splice($token_tag_ids[$i], $j);
           array_splice($token_tag_scores[$i], $j);
@@ -865,10 +899,11 @@
   global $conf;
   //@TODO: maybe cache for 10 minutes the result set to avoid many expensive sql calls when navigating the pictures
+  $q = trim(stripslashes($q));
   $search_results =
     array(
       'items' => array(),
-      'qs' => array('q'=>stripslashes($q)),
+      'qs' => array('q'=>$q),
     );
-  $q = trim($q);
+
   $expression = new QExpression($q);
 //var_export($expression);
@@ -885,5 +920,6 @@
   for ($i=0; $i<count($expression->stokens); $i++)
   {
-    $debug[] = $expression->stokens[$i].': '.count($qsr->tag_ids[$i]).' tags, '.count($qsr->tag_iids[$i]).' tiids, '.count($qsr->images_iids[$i]).' iiids, '.count($qsr->iids[$i]).' iids';
+    $debug[] = $expression->stokens[$i].': '.count($qsr->tag_ids[$i]).' tags, '.count($qsr->tag_iids[$i]).' tiids, '.count($qsr->images_iids[$i]).' iiids, '.count($qsr->iids[$i]).' iids'
+      .( !empty($qsr->variants[$expression->stokens[$i]]) ? ' variants: '.implode(', ',$qsr->variants[$expression->stokens[$i]]): '');
   }
   $debug[] = 'before perms '.count($ids);
Index: /trunk/include/inflectors/en.php
===================================================================
--- /trunk/include/inflectors/en.php	(revision 27884)
+++ /trunk/include/inflectors/en.php	(revision 27884)
@@ -0,0 +1,136 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+class Inflector_en
+{
+  private $exceptions;
+  private $pluralizers;
+  private $singularizers;
+
+  function __construct()
+  {
+    $tmp = 	array ('octopus' => 'octopuses',
+      'virus' => 'viruses',
+      'person' => 'people',
+      'man' => 'men',
+      'woman' => 'women',
+      'child' => 'children',
+      'move' => 'moves',
+      'mouse' => 'mice',
+      'ox' => 'oxen',
+      'zombie' => 'zombies',
+    );
+
+    $this->exceptions = $tmp;
+    foreach ($tmp as $k => $v)
+      $this->exceptions[$v] = $k;
+
+    foreach ( explode(' ', 'new news advice art coal baggage butter clothing cotton currency deer energy equipment experience fish flour food furniture gas homework impatience information jeans knowledge leather love luggage money oil patience police polish progress research rice series sheep silk soap species sugar talent toothpaste travel vinegar weather wood wool work')
+      as $v)
+    {
+      $this->exceptions[$v] = 0;
+    }
+
+    $this->pluralizers = array_reverse(array( '/$/' => 's',
+      '/s$/' => 's',
+      '/^(ax|test)is$/' => '\1es',
+      '/(alias|status)$/' => '\1es',
+      '/(bu)s$/' => '\1ses',
+      '/(buffal|tomat)o$/' => '\1oes',
+      '/([ti])um$/' => '\1a',
+      '/([ti])a$/' => '\1a',
+      '/sis$/' => 'ses',
+      '/(?:([^f])fe|([lr])f)$/' => '\1\2ves',
+      '/(hive)$/' => '\1s',
+      '/([^aeiouy]|qu)y$/' => '\1ies',
+      '/(x|ch|ss|sh)$/' => '\1es',
+      '/(matr|vert|ind)(?:ix|ex)$/' => '\1ices',
+      '/(quiz)$/' => '\1zes',
+      ));
+
+    $this->singularizers = array_reverse(array(
+      '/s$/' => '',
+      '/(ss)$/' => '\1',
+      '/(n)ews$/' => '\1ews',
+      '/([ti])a$/' => '\1um',
+      '/((a)naly|(b)a|(d)iagno|(p)arenthe|(p)rogno|(s)ynop|(t)he)(sis|ses)$/' => '\1sis',
+      '/(^analy)(sis|ses)$/' => '\1sis',
+      '/([^f])ves$/' => '\1fe',
+      '/(hive)s$/' => '\1',
+      '/(tive)s$/' => '\1',
+      '/([lr])ves$/' => '\1f',
+      '/([^aeiouy]|qu)ies$/' => '\1y',
+      '/(s)eries$/' => '\1eries',
+      '/(m)ovies$/' => '\1ovie',
+      '/(x|ch|ss|sh)es$/' => '\1',
+      '/(bus)(es)?$/' => '\1',
+      '/(o)es$/' => '\1',
+      '/(shoe)s$/' => '\1',
+      '/(cris|test)(is|es)$/' => '\1is',
+      '/^(a)x[ie]s$/' => '\1xis',
+      '/(alias|status)(es)?$/' => '\1',
+      '/(vert|ind)ices$/' => '\1ex',
+      '/(matr)ices$/' => '\1ix',
+      '/(quiz)zes$/' => '\1',
+      '/(database)s$/' => '\1',
+      ));
+  }
+
+  function get_variants($word)
+  {
+    $res = array();
+
+    $word = strtolower($word);
+
+    $rc = @$this->exceptions[$word];
+    if ( isset($rc) )
+    {
+      if (!empty($rc))
+        $res[] = $rc;
+      return $res;
+    }
+
+    foreach ($this->pluralizers as $rule => $replacement)
+    {
+      $rc = preg_replace($rule, $replacement, $word, -1, $count);
+      if ($count)
+      {
+        $res[] = $rc;
+        break;
+      }
+    }
+
+    foreach ($this->singularizers as $rule => $replacement)
+    {
+      $rc = preg_replace($rule, $replacement, $word, -1, $count);
+      if ($count)
+      {
+        $res[] = $rc;
+        break;
+      }
+    }
+
+    return $res;
+  }
+}
+?>
Index: /trunk/include/inflectors/fr.php
===================================================================
--- /trunk/include/inflectors/fr.php	(revision 27884)
+++ /trunk/include/inflectors/fr.php	(revision 27884)
@@ -0,0 +1,96 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+class Inflector_fr
+{
+  private $exceptions;
+  private $pluralizers;
+  private $singularizers;
+
+  function __construct()
+  {
+    $tmp = 	array ('monsieur' => 'messieurs',
+      'madame' => 'mesdames',
+      'mademoiselle' => 'mesdemoiselles',
+    );
+
+    $this->exceptions = $tmp;
+    foreach ($tmp as $k => $v)
+      $this->exceptions[$v] = $k;
+
+    $this->pluralizers = array_reverse(array( '/$/' => 's',
+      '/(bijou|caillou|chou|genou|hibou|joujou|pou|au|eu|eau)$/' => '\1x',
+      '/(bleu|émeu|landau|lieu|pneu|sarrau)$/' => '\1s',
+      '/al$/' => 'aux',
+      '/ail$/' => 'ails',
+      '/(b|cor|ém|gemm|soupir|trav|vant|vitr)ail$/' => '\1aux',
+      '/(s|x|z)$/' => '\1',
+    ));
+
+    $this->singularizers = array_reverse(array(
+      '/s$/' => '',
+      '/(bijou|caillou|chou|genou|hibou|joujou|pou|au|eu|eau)x$/' => '\1',
+      '/(journ|chev)aux$/' => '\1al',
+      '/ails$/' => 'ail',
+      '/(b|cor|ém|gemm|soupir|trav|vant|vitr)aux$/' => '\1ail',
+    ));
+  }
+
+  function get_variants($word)
+  {
+    $res = array();
+
+    $word = strtolower($word);
+
+    $rc = @$this->exceptions[$word];
+    if ( isset($rc) )
+    {
+      if (!empty($rc))
+        $res[] = $rc;
+      return $res;
+    }
+
+    foreach ($this->pluralizers as $rule => $replacement)
+    {
+      $rc = preg_replace($rule, $replacement, $word, -1, $count);
+      if ($count)
+      {
+        $res[] = $rc;
+        break;
+      }
+    }
+
+    foreach ($this->singularizers as $rule => $replacement)
+    {
+      $rc = preg_replace($rule, $replacement, $word, -1, $count);
+      if ($count)
+      {
+        $res[] = $rc;
+        break;
+      }
+    }
+
+    return $res;
+  }
+}
+?>
Index: /trunk/index.php
===================================================================
--- /trunk/index.php	(revision 27883)
+++ /trunk/index.php	(revision 27884)
@@ -86,4 +86,9 @@
 $template->assign('thumb_navbar', $page['navigation_bar'] );
 
+if ( $page['section']=='search' and isset($page['qsearch_details']) )
+{
+  $template->assign('QUERY_SEARCH', htmlspecialchars($page['qsearch_details']['q']) );
+}
+
 // caddie filling :-)
 if (isset($_GET['caddie']))
@@ -219,7 +224,4 @@
       !isset($page['chronology_field']) and isset($page['qsearch_details']) )
   {
-    $template->assign('QUERY_SEARCH',
-      htmlspecialchars($page['qsearch_details']['q']) );
-
     $cats = array_merge(
         (array)@$page['qsearch_details']['matching_cats_no_images'],
Index: /trunk/themes/default/template/menubar_menu.tpl
===================================================================
--- /trunk/themes/default/template/menubar_menu.tpl	(revision 27883)
+++ /trunk/themes/default/template/menubar_menu.tpl	(revision 27884)
@@ -4,8 +4,8 @@
 	<form action="{$ROOT_URL}qsearch.php" method="get" id="quicksearch" onsubmit="return this.q.value!='' && this.q.value!=qsearch_prompt;">
 		<p style="margin:0;padding:0"{*this <p> is for html validation only - does not affect positioning*}>
-			<input type="text" name="q" id="qsearchInput" onfocus="if (value==qsearch_prompt) value='';" onblur="if (value=='') value=qsearch_prompt;" style="width:90%">
+			<input type="text" name="q" id="qsearchInput" onfocus="if (value==qsearch_prompt) value='';" onblur="if (value=='') value=qsearch_prompt;" style="width:90%"{if !empty($QUERY_SEARCH)} value="{$QUERY_SEARCH}"{/if}>
 		</p>
 	</form>
-	<script type="text/javascript">var qsearch_prompt="{'Quick search'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
+	<script type="text/javascript">var qsearch_prompt="{'Quick search'|@translate|@escape:'javascript'}";{if empty($QUERY_SEARCH)}document.getElementById('qsearchInput').value=qsearch_prompt;{/if}</script>
 {/if}
 	<ul>{strip}