Index: /branches/2.6/themes/elegant/language/km_KH/index.php
===================================================================
--- /branches/2.6/themes/elegant/language/km_KH/index.php	(revision 27886)
+++ /branches/2.6/themes/elegant/language/km_KH/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/elegant/language/km_KH/theme.lang.php
===================================================================
--- /branches/2.6/themes/elegant/language/km_KH/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/elegant/language/km_KH/theme.lang.php	(revision 27886)
@@ -0,0 +1,32 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Choose what should be the default state for each panel, or disable the animation:'] = 'ជ្រើសអ្វីដែលគួរតែត្រូវបាន​ស្ថិតនៅជា​លំនាំដើម សម្រាប់បន្ទះនិមួយៗ ឬបិទចលនាតែម្តង៖';
+$lang['Comments Panel'] = 'បន្ទះមតិ';
+$lang['Disable the animation'] = 'បិទចលនា';
+$lang['Displayed'] = 'បានបង្ហាញ';
+$lang['Elegant, Configuration Page'] = 'Elegant, ទំព័រកំណត់រចនា';
+$lang['Hidden'] = 'លាក់';
+$lang['Main Menu Panel'] = 'បន្ទះម៉ឺនុយមេ';
+$lang['Panels options'] = 'បន្ទះជម្រើស';
+$lang['Photo Description Panel'] = 'បន្ទះពណ៌នា​រូបភាព';
+?>
Index: /branches/2.6/themes/elegant/themeconf.inc.php
===================================================================
--- /branches/2.6/themes/elegant/themeconf.inc.php	(revision 27885)
+++ /branches/2.6/themes/elegant/themeconf.inc.php	(revision 27886)
@@ -2,5 +2,5 @@
 /*
 Theme Name: elegant
-Version: 2.6.0
+Version: 2.6.1
 Description: Dark background, grayscale.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=685
Index: /branches/2.6/themes/smartpocket/language/br_FR/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/br_FR/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/br_FR/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/br_FR/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/br_FR/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/br_FR/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Smartpocket, Configuration Page'] = 'Pajenn gefluniañ Smartpocket';
+$lang['Autohide the bar of the slideshow'] = 'Kuzhat barrenn an diaporama emgefreek';
+$lang['Loop the slideshow'] = 'Adlañsañ dizehan an diaporama';
+$lang['More Information'] = 'Muioc\'h a ditouroù';
+$lang['Slideshow Options'] = 'Dibarzhioù an diaporama';
+?>
Index: /branches/2.6/themes/smartpocket/language/ca_ES/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/ca_ES/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/ca_ES/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/ca_ES/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/ca_ES/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/ca_ES/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'Amaga automàticament la barra de la presentació de diapositives ';
+$lang['Loop the slideshow'] = 'Repetir la presentació de diapositives ';
+$lang['More Information'] = 'Més informació';
+$lang['Slideshow Options'] = 'Opcions de la presentació de diapositives ';
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, Pàgina de configuració';
+?>
Index: /branches/2.6/themes/smartpocket/language/de_DE/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/de_DE/theme.lang.php	(revision 27885)
+++ /branches/2.6/themes/smartpocket/language/de_DE/theme.lang.php	(revision 27886)
@@ -25,3 +25,4 @@
 $lang['More Information'] = 'Mehr Informationen';
 $lang['Slideshow Options'] = 'Diashowoptionen';
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, Konfigurationsseite';
 ?>
Index: /branches/2.6/themes/smartpocket/language/he_IL/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/he_IL/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/he_IL/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/he_IL/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/he_IL/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/he_IL/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'הסתר אוטומטית את פס התצוגה בהצגת תמונות ';
+$lang['Loop the slideshow'] = 'הצג מצגת תמונות בלולאה';
+$lang['More Information'] = 'מידע נוסף';
+$lang['Slideshow Options'] = 'אפשרויות מצגת תמונות';
+$lang['Smartpocket, Configuration Page'] = 'מכשיר חכם, עמוד הגדרות';
+?>
Index: /branches/2.6/themes/smartpocket/language/km_KH/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/km_KH/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/km_KH/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/km_KH/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/km_KH/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/km_KH/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket ទំព័រ​រៀបចំរចនា';
+$lang['Slideshow Options'] = 'ព័ត៌មាន​ជម្រើសអំពីការ​បង្ហាញស្លាយ';
+$lang['More Information'] = 'ព័ត៌មាន​បន្ថែម';
+$lang['Loop the slideshow'] = 'រង្វិលជុំស្លាយ';
+$lang['Autohide the bar of the slideshow'] = 'លាក់របារស្លាយដោយស្វ័យប្រវត្តិ';
+?>
Index: /branches/2.6/themes/smartpocket/language/nn_NO/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/nn_NO/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/nn_NO/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/nn_NO/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/nn_NO/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/nn_NO/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'Gøym verktøylina for biletvising automatisk';
+$lang['Loop the slideshow'] = 'Vis bilete ommatt';
+$lang['Slideshow Options'] = 'Innstillingar for biletvising';
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket - konfigureringsside';
+$lang['More Information'] = 'Meir informasjon';
+?>
Index: /branches/2.6/themes/smartpocket/language/ro_RO/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/ro_RO/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/ro_RO/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/ro_RO/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/ro_RO/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/ro_RO/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'Ascunde automat bara prezentarii';
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, pagina de configurare';
+$lang['Slideshow Options'] = 'Optiunile prezentarii';
+$lang['More Information'] = 'Mai multe informatii';
+$lang['Loop the slideshow'] = 'Reda prezentarea in bulca';
+?>
Index: /branches/2.6/themes/smartpocket/language/sh_RS/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sh_RS/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sh_RS/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/sh_RS/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sh_RS/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sh_RS/theme.lang.php	(revision 27886)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'Automatski sakri traku automatskog prikaza';
+$lang['Loop the slideshow'] = 'Pokreći automatski prikaz iznova';
+$lang['More Information'] = 'Više informacija';
+$lang['Slideshow Options'] = 'Opcije automatskog prikaza';
+$lang['Smartpocket, Configuration Page'] = 'Smart poket, stranica podešavanja';
Index: /branches/2.6/themes/smartpocket/language/sl_SI/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sl_SI/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sl_SI/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/sl_SI/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sl_SI/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sl_SI/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, Nastavitve';
+$lang['Slideshow Options'] = 'Nastavitve diaprojekcije';
+$lang['More Information'] = 'Več informacij';
+$lang['Loop the slideshow'] = 'Ponavljaj diaprojekcijo';
+$lang['Autohide the bar of the slideshow'] = 'Samodejno skrij orodno vrstico diaprojekcije';
+?>
Index: /branches/2.6/themes/smartpocket/language/sr_RS/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sr_RS/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sr_RS/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/sr_RS/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sr_RS/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sr_RS/theme.lang.php	(revision 27886)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'Аутоматски сакри траку аутоматског приказа';
+$lang['Loop the slideshow'] = 'Покрећи аутоматски приказ изнова';
+$lang['More Information'] = 'Више информација';
+$lang['Slideshow Options'] = 'Опције аутоматског приказа';
+$lang['Smartpocket, Configuration Page'] = 'Смарт покет, страница подешавања';
Index: /branches/2.6/themes/smartpocket/language/sv_SE/index.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sv_SE/index.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sv_SE/index.php	(revision 27886)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.6/themes/smartpocket/language/sv_SE/theme.lang.php
===================================================================
--- /branches/2.6/themes/smartpocket/language/sv_SE/theme.lang.php	(revision 27886)
+++ /branches/2.6/themes/smartpocket/language/sv_SE/theme.lang.php	(revision 27886)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Autohide the bar of the slideshow'] = 'Dölj bildspelspanelen automatiskt';
+$lang['Loop the slideshow'] = 'Loopa bildspelet';
+$lang['More Information'] = 'Mer information';
+$lang['Slideshow Options'] = 'Inställningar för bildspel';
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, konfigurationssida';
+?>
Index: /branches/2.6/themes/smartpocket/themeconf.inc.php
===================================================================
--- /branches/2.6/themes/smartpocket/themeconf.inc.php	(revision 27885)
+++ /branches/2.6/themes/smartpocket/themeconf.inc.php	(revision 27886)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Smart Pocket
-Version: 2.6.1
+Version: 2.6.2
 Description: Mobile theme.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=599