Index: trunk/language/ca_ES/about.html
===================================================================
--- trunk/language/ca_ES/about.html	(revision 27866)
+++ trunk/language/ca_ES/about.html	(revision 27889)
@@ -1,19 +1,19 @@
-<p>Aquesta galeria fotogràfica es basa en el programari Piwigo.</p>
+ <p>Aquesta galeria fotogràfica es basa amb el programari Piwigo.</p>
 
-<p>Piwigo és una aplicació de gestió d'àlbums de fotos per al web. Està escrita en llenguatge PHP i interactua amb bases de dades MySQL.</p>
+<p>Piwigo és una aplicació web de gestió d'àlbums de fotos. Està escrita en llenguatge PHP i accedeix a bases de dades MySQL.</p>
 
-<p>Fou escrita originàriment pel seu creador, Pierrick Le Gall, com un projecte personal a la tardor de l'any 2001 amb el nom de PhpWebGallery. A la primavera de l'any 2002, es va publicar sota llicència GPL, i va nèixer tota una comunitat en torn al projecte que, d'avui ençà, sumen ja més de 10 anys.</p>
+<p>Originàriament fou escrita pel seu creador, Pierrick Le Gall, com a projecte personal durant la tardor de 2001 amb el nom de PhpWebGallery. A la primavera de l'any 2002, es va publicar sota la llicència GPL, i va nàixer tota una comunitat en torn al projecte i, d'avui ençà, sumen ja més de 10 anys.</p>
 
-<p>PhpWebGallery, el nom del projecte original, evoluciona al nom actual de Piwigo el 15 de febrer de 2009. Es tracta d'un nom més curt, únic, sense referències a llenguatges de programació i, a més, conserva l'acrònim PWG. Fins i tot el lloc web es renova en profunditat amb l'objectiu d'oferir un espai més agradable, còmode, i amb un gran nombre d'eines a disposició de la comunitat per establir una base evolutiva sòlida i permanent.</p>
+<p> El 15 de febrer de 2009  el nom del projecte original PhpWebGallery, va evolucionar al nom actual de Piwigo. Es va optar per un nom més curt, d'una paraula, sense referències a llenguatges de programació i, a més, conservant l'acrònim PWG del seu nom original. També es va renovar intensament el lloc web  amb l'objectiu d'oferir un espai més agradable, còmode, i amb un gran nombre d'eines a disposició de la comunitat per establir una base evolutiva sòlida i permanent.</p>
 
-<p>Actualment, el projecte està impulsat per una comunitat plenament activa d'usuaris i desenvolupadors que prospera constantment. A dia d'avui, per tant, a aquest any 2012, consta d'un equip format per 20 membres i 50 traductors i llocs web disponibles en 10 idiomes. Disposa d'un gran nombre d'extensions que n'estenen àmpliament les seves funcionalitats. Permeten incorporar nous complements, temes, eines, idiomes i modificacions que fan que sigui fàcilment personalitzable. I el millor de tot és que Piwigo és un programari madur, estable, lliure i totalment gratuït.</p>
+<p>Actualment, el projecte està impulsat per una comunitat plenament activa d'usuaris i desenvolupadors que prospera constantment. A dia d'avui (2012), consta d'un equip format per 20 membres i 50 traductors i llocs web disponibles en 10 idiomes. Disposa d'un gran nombre d'extensions que n'estenen àmpliament les seves funcionalitats. Permeten incorporar nous complements, temes, eines, idiomes i modificacions que fan que sigui fàcilment personalitzable. I el millor de tot és que Piwigo és un programari madur, estable, lliure i totalment gratuït.</p>
 
 <p>La traducció de Piwigo a la llengua catalana és creada i mantinguda per: (en ordre alfabètic)
- <ul>
-  <li><a href="http://piwigo.org/forum/profile.php?id=16604">AlbertParera</a></li>
-  <li><a href="http://piwigo.org/forum/profile.php?id=8387">josep.torne</a></li>
- </ul>
+<ul>
+ <li><a href="http://piwigo.org/forum/profile.php?id=16604">AlbertParera</a></li>
+ <li><a href="http://piwigo.org/forum/profile.php?id=8387">Josep Torné</a></li>
+</ul>
 Gràcies per la vostra aportació!</p>
 
-<p id="linkToPiwigo"><a href="http://es.piwigo.org/">Visiti el web de Piwigo</a></p>
+<p id="linkToPiwigo"><a href="http://es.piwigo.org/">Visiteu el web de Piwigo</a></p>
 <p id="linkToPiwigo"><a href="http://es.piwigo.org/basics/contribute">Animi's a col·laborar amb el projecte Piwigo</a></p>
Index: trunk/language/ca_ES/common.lang.php
===================================================================
--- trunk/language/ca_ES/common.lang.php	(revision 27866)
+++ trunk/language/ca_ES/common.lang.php	(revision 27889)
@@ -23,5 +23,5 @@
 /*
 Language Name: Català [CA]
-Version: 2.6.0
+Version: 2.6.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=413
 Author: Piwigo team