Index: /extensions/MyPiwiShop/language/el_GR/index.php
===================================================================
--- /extensions/MyPiwiShop/language/el_GR/index.php	(revision 27921)
+++ /extensions/MyPiwiShop/language/el_GR/index.php	(revision 27921)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MyPiwiShop/language/el_GR/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/el_GR/intro.html	(revision 27921)
+++ /extensions/MyPiwiShop/language/el_GR/intro.html	(revision 27921)
@@ -0,0 +1,92 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>You want to sell products derivated from your pictures, 
+you want to sell some photos with different sizes or quality and fixe diffrents prices for each one ? 
+You sell some tee-shirts with photo printed, mugs or others ? 
+  
+This plugin add a form in image pages to propose for the selected image the products you create with it.
+Paypal is used for the transaction, you MUST have a paypal account. When order is completed, you've got the picture and product names, the selected options, name and address of the user directly from your paypal account.</p>
+<br> 
+<h4>Howto use ?</h4>
+  <h5>1 Côté administration du plugin dans l'onglet</h5>
+  <p style="font-weight:bold">1.1 _Configuration_</p>
+  <ul> 
+  <li>Enter your Paypal code or Paypal email.</li>
+  <li>The currency used.</li>
+  <li>Expedion costs if they are fix, else include them in the product price.</li>
+  <li>If needed, enter a short description of your products (ex: 100% Coton Tee-shirts made in China...).</li>
+  <li>If needed, enter a short description to presents part of your products (ex: Choose one product in the list).</li>
+  <li>If needde, enter your text to present a unique product (ex: available product).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Products_</p>
+  <ul> 
+  <li>1.2.1 Add product
+  <p>Enter the product name</p>
+  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
+  <p>Enter the price</p>
+  <p>Select or create an option (refer §3.1)<p>
+  <p>Then submit</p>
+  </li>
+  <li>1.2.2 Produst list
+  <p>Tick one or more products to remove them from the list</p>
+  <p>You can edit or duplicater products</p>
+  </li>
+  <li>1.2.3 Manage product order in form
+  <p>Products are displayed by creation date order by default. You chan change this using drag and drop on product item</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Options_</p>
+  <ul> 
+  <li>1.3.1 Add an option
+  <p>Enter the option name</p>
+  <p>Select the option type: select: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
+  <p>If field is required to validate order, tick the box</p>
+  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
+  <p>You have to create some values depending the selected option type (select, radio and checkbox)</p>
+  <p>Then apply changes</p>
+  </li>
+  <li>1.3.2 Table of products
+  <p>Tick one or more options to delete</p>
+  <p>You can edit or duplicate an option</p>
+  </li>
+  <li>1.3.3 Manage options order in form
+  <p> Options are listed by creation date by default. You can change this order using drag'n drop</p>
+  </li>
+
+
+  <h5> 2 Piwigo administration side</h5>
+  <p>Now you have to link one or more products to photos. For this use the page "photos/batch manager".</p>
+  <br>
+  <li>2.1 Global mode</li>
+  <p>Select images you want to link to products.<p>
+  <p>In action menu, choose MyPiwiShop.<p>
+  <p>Select your products (You can also remove products already selected for theese pictures).</p>
+  <p>Then apply action</p>
+  <br>
+  <li>2.2 Single mode</li>
+  <p>For each photo you can use the link "see related products for this picture".<p>
+  <p>Products used for the picture are listed.</p>
+  <p>You can tick/untick products to link/unlink them to the photo.</p>
+  <p>Then validate the change</p>
+</ul> 
+  
+  
+  
+  
+  
+
+Lexiglot © 2011-2012 Strangeplanet.fr - Created by Damien "Mistic" Sorel 
Index: /extensions/MyPiwiShop/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/el_GR/plugin.lang.php	(revision 27921)
+++ /extensions/MyPiwiShop/language/el_GR/plugin.lang.php	(revision 27921)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add the selected products for these images'] = 'Προσθέστε τα επιλεγμένα προϊόντα για αυτές τις εικόνες';
+$lang['Add a product'] = 'Προσθέστε ένα προϊόν';
+$lang['Add a option'] = 'Προσθέστε μια επιλογή';
+$lang['Add '] = 'Προσθήκη';
+$lang['(filtered from _MAX_ total records)'] = '(φιλτραρισμένες εγγραφές από from _MAX_ total)';
+$lang[' product'] = '
+προϊόν';
+$lang[' option'] = 'επιλογή';