Index: /branches/2.6/language/br_FR/admin.lang.php
===================================================================
--- /branches/2.6/language/br_FR/admin.lang.php	(revision 27951)
+++ /branches/2.6/language/br_FR/admin.lang.php	(revision 27952)
@@ -193,3 +193,17 @@
 $lang['Actions'] = 'Obererezhioù';
 $lang['Access type'] = 'Doare moned';
-?>
+$lang['Added by %s'] = 'Lakaet gant %s';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Peurliamm %s a zo bet implijet gant rummad %s. Dilemit anezhañ eus istor ar peurliammoù da gentañ.';
+$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Ret eo lakaat en anv ar peurliamm lizherennoù a-z, A-Z, 0-9, "-", "_" pe "/". Arabat eo lakaat sifroù hepken, pe kregiñ gant ur sifr  ha "-" goude.';
+$lang['Save to permalink history'] = 'Enrollañ en istor ar peurliammoù';
+$lang['Add/delete a permalink'] = 'Lakaat/Dilemel ur peurliamm';
+$lang['Cannot delete the old permalink !'] = 'Ar peurliamm kozh ne c\'hell ket bezañ dilemet!';
+$lang['Permalink'] = 'Peurliamm';
+$lang['Permalink %s is already used by album %s'] = 'Peurliamm %s a zo implijet gant ar rummad %s dija';
+$lang['Permalink history'] = 'Istor ar peurliammoù';
+$lang['Permalinks'] = 'Peurliammoù';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Ober kavlec\'h "%s" e penngavlec\'h ho staliadur Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Reiñ gwirioù da skrivañ (chmod 777) e kavlec\'h "%s" eus penngavlec\'h ho staliadur Piwigo';
+$lang['Add write access to the "%s" directory'] = 'Reiñ gwirioù da skrivañ e kavlec\'h "%s"';
+$lang['Add another set of photos'] = 'Lakaat ur stroll luc\'hskeudennoù all';
+$lang['Add detailed content'] = 'Lakaat endalc\'h dre ar munud';
Index: /branches/2.6/language/sr_RS/admin.lang.php
===================================================================
--- /branches/2.6/language/sr_RS/admin.lang.php	(revision 27951)
+++ /branches/2.6/language/sr_RS/admin.lang.php	(revision 27952)
@@ -1,3 +1,2 @@
-<?php
 // +-----------------------------------------------------------------------+
 // | Piwigo - a PHP based photo gallery                                    |
@@ -887,2 +886,22 @@
 $lang['%d of %d users selected'] = 'Изабрано је %d од %d корисника';
 $lang['%s ago'] = 'Пре %s';
+$lang['Applications'] = 'Апликације';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Тренутно користите интернет прегледач за додавање слика. Испробајте додавање из <a href="%s">Флеш програмчета</a>.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Тренутно додајете слике помоћу Флеш програмчета. Ако имате проблема испробајте обично додавање из <a href="%s">интернет прегледача</a>.';
+$lang['You can activate only one mobile theme.'] = 'Можете да користите само једну тему за мобилне уређаје.';
+$lang['close'] = 'затвори';
+$lang['Update user'] = 'Уреди корисника';
+$lang['User %s added'] = 'Додат је корисник %s';
+$lang['User %s updated'] = 'Уређен је корисник %s';
+$lang['View in gallery'] = 'Погледај у галерији';
+$lang['Web Form'] = 'Веб формулар';
+$lang['With no virtual album'] = 'Без виртуелних албума';
+$lang['X Repeat'] = 'X понављања';
+$lang['pending validation'] = 'чека на потврду';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'посетиоци морају бити пријављени и да поседују одговарајуће дозволе како би видели овај албум';
+$lang['(filtered from %s total users)'] = '(изфилтрирано од %s корисника)';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'Апликација <em>Piwigo за Андроид</em> вам омогућава да повежете телефон или таблет са Piwigo галеријом, правите албуме и шаљете по неколико слика одједном.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Апликација <em>Piwigo за iOS</em> бам омогућава да повежете Piwigo галерију са iPhone, iPad или iPod Touch уређајима, правите албуме и шаљете по неколико слика одједном.';
+$lang['Activate it now'] = 'Активирај сада';
+$lang['Center of interest'] = 'Центар интереса';
+$lang['Last visit on %s, %s.'] = 'Последња посета %s, %s.';