Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 27964)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 27965)
@@ -1,3 +1,2 @@
-// +-----------------------------------------------------------------------+
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
@@ -906,2 +905,70 @@
 $lang['Center of interest'] = 'Центар интереса';
 $lang['Last visit on %s, %s.'] = 'Последња посета %s, %s.';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam је напредни и слободни програм за уређивање дигиталних слика написан за Линукс, Windows и MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam је направљен за фотографе који желе да прегледају, управљају, уређују, побољшају, организују, означе и поделе своје фотографије.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto је подразумевани уредник фотографија за MacOSX. Додатак за извоз у Piwigo омогућава прављење нових албума и извоз фотографије директно из iPhoto програма у Piwigo галерију.';
+$lang['include photos with lower privacy level'] = 'укључи и фотографије са нижим нивоом приватности';
+$lang['on the %d selected users'] = 'од %d изабраних корисника';
+$lang['This group will be unset to default'] = 'Ова група више није подразумевана';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'За извоз фотографија из програма digiKam у Piwigo, једноставно инсталирајте програм његове и Kipi додатке.';
+$lang['Type here the name of the new group'] = 'Овде унесите име групе';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Не можете да одредите подразумевани редослед слика јер су укључена произвољна подешавања у вашој локалној датотеци.';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Одредили сте <i>$conf[\'order_by\']</i> у локалној датотеци са подешавањима. Овај параметар се више не користи, па га уклоните или преименујте у <i>$conf[\'order_by_custom\']</i> !';
+$lang['between %.2f and %.2f'] = 'између %.2f и %.2f';
+$lang['between %d and %d pixels'] = 'између %d и %d пиксела';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo додатак за извоз омогућава да правите албуме и извозите фотографије.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo додатак за објављивање омогућава да извезете и синхронизујете фотографије из програма Lightroom директно у Piwigo фото галерију.';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'Интересни центар је најзначајнији део фотографије.';
+$lang['The original maximum width must be a number between %d and %d'] = 'Највећа ширина оригинала мора да буде број између %d и %d';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Величина слике ће бити смањена на %dx%d пиксела.';
+$lang['There is no group in this gallery.'] = 'Не постоји група унутар ове галерије.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'У овом албуму има %d слика, додатих између %s и %s.';
+$lang['This album contains %d photos, added on %s.'] = 'Албум садржи %d слика, додатих %s.';
+$lang['This group will be set to default'] = 'Подразумевано ће се користити ова група';
+$lang['Registered on %s, %s.'] = 'Регистровао се %s, %s.';
+$lang['Resize after upload disabled due to the use of GD as graphic library'] = 'Промена величине фотографија након додавања је онемогућена јер користите GD као графичку библиотеку';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Изаберите зону мишем како би одредили интересни центар.';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Фото-бунар (Shotwell) је Линуксов програм за уређивање дигиталних фотографских колекција отвореног кода. Он подразумевано долази уз Убунту и Федора дистрибуције.';
+$lang['Show %s users'] = 'Прикажи %s корисника';
+$lang['Showing %s to %s of %s users'] = 'Приказујем кориснике %s до %s, oд укупно %s';
+$lang['Source tag'] = 'Изворна ознака';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Ознака „%s“ је сада копија од „%s“.';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Ознаке <em>%s</em> су припојене у ознаку <em>%s</em>';
+$lang['Rated %d times, score : %.2f'] = 'Оцењена %d пута, оцена: %.2f';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery клијент за Android) је Piwigo клијент за Android отвореног кода (GPL v3)';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'У Линуксу једноставно инсталирајте Фото-бунар (Shotwell) кроз управник пакета за вашу дистрибуцију и активирајте додатак Piwigo.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo објављивање, додатак за Lightroom';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo извоз, додатак за Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo извоз, додатак за iPhoto';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo за iOS (iPhone, iPad, iPod Touch)';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo објављивање за Фото-бунар (Shotwell)';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo објављивање за digiKam';
+$lang['Please select at least two groups'] = 'Изаберите најмање две групе';
+$lang['No order field selected'] = 'Није изабрано поље за редослед';
+$lang['No user selected of %d users'] = 'Није изабран ни један од %d корисника';
+$lang['No user selected, no action possible.'] = 'Није изабран корисник, није могућа ни једна радња.';
+$lang['Notify administrators when a comment is'] = 'Обавести администраторе када је коментар';
+$lang['Numeric identifier : %d'] = 'Бројчана одредница: %d';
+$lang['Select at least one tag'] = 'Изаберите бар једну ознаку';
+$lang['Posted %s on %s'] = 'Послао %s на %s';
+$lang['Predefined filter'] = 'Предефинисани филтер';
+$lang['Purge user cache'] = 'Очисти оставу корисника';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Омогућава разгледање фото галерија, додавање албума и слика.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Уколико треба исећи део слике, као код коцкастог приказа, Piwigo ће се потрудити да исечак садржи интересни центар.';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Уколико велике, HD слике нису доступне и уколико је изабрана величина за приказ на вебу већа од умањене слике';
+$lang['Mail theme'] = 'Мејл тема';
+$lang['No group selected, no action possible.'] = 'Није изабрана група, па није могућа операција.';
+$lang['No matching user found'] = 'Није пронађен корисник';
+$lang['No members to manage'] = 'Нема корисника за управљање';
+$lang['Open user details'] = 'Јавни подави о кориснику';
+$lang['Original file : %s'] = 'Оргинална датотека %s';
+$lang['Permission granted for groups'] = 'Дозвола је издата за групе';
+$lang['Photo sizes with crop'] = 'Величине фотографија уз исецање';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom је програм за управљање великим бројем дигиталних фотографија и финалну обраду слика.';
+$lang['All %d users are selected'] = 'Изабрано је свих %d корисника';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture је изврсна алатка за дораду слика и управљање великим збиркама слика на Mac оперативном систему.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture је направљен за професионалне фотографе и краси га iPhoto једноставност.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Оквирна, максимална резолуција: %dM пиксела (%dx%d пиксела).';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Piwigo подразумевано прави приказ за веб на основу великих, HD верзија ваших слика.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Интересни центар је подразумевано смештен на средину фотографије.';
+$lang['Close user details'] = 'Затвори детаље о кориснику';