Index: /extensions/BatchDownloader/language/sl_SI/advanced.html
===================================================================
--- /extensions/BatchDownloader/language/sl_SI/advanced.html	(revision 28000)
+++ /extensions/BatchDownloader/language/sl_SI/advanced.html	(revision 28000)
@@ -0,0 +1,18 @@
+<dt><span>$conf['batch_download_max_elements']</span></dt>
+<dd>Maksimalna vrednost <b>Maksimalno število slik na posamezno zbirko prenosa</b> drsnika.<br>
+<i>Privzeta vrednost je <span>1000</span>.</i></dd>
+
+<dt><span>$conf['batch_download_max_size']</span></dt>
+<dd>Maksimalna vrednost <b>Maksimalna velikost vsake zbirke</b> drsnika.<br>
+<i>Privzeta vrednost je <span>500</span>.</i></dd>
+
+<dt><span>$conf['batch_download_additional_ext']</span></dt>
+<dd>Niz, ki vsebuje prenosljive končnice datotek (občutljivo na male oz. velike črke).<br>
+<i>Privzete vrednosti so: <span>$conf['picture_ext']</span>.</i></dd>
+
+<dt><span>$conf['batch_download_file_pattern']</span></dt>
+<dd>Vzorec imen datotek v zbirki.<br>
+Možna polja so <span>%id%, %filename%, %author%, %dimensions%</span>.<br>
+Možne funkcije so <span>$escape(xxx), $upper(xxx), $lower(xxx), $strpad(xxx, z, c)</span>.<br>
+<i>Privzeta vrednost je <span>%id%_%filename%_%dimensions%</span>.</i><br>
+<i>Primer: <span>$strpad(%id%,4,0)_$escape(%filename%)_$lower(%author%)_%dimensions%</span>.</i></dd>
Index: /extensions/BatchDownloader/language/sl_SI/description.txt
===================================================================
--- /extensions/BatchDownloader/language/sl_SI/description.txt	(revision 28000)
+++ /extensions/BatchDownloader/language/sl_SI/description.txt	(revision 28000)
@@ -0,0 +1,2 @@
+Omogoči uporabnikom prenos slikovnih naborov v ZIP formatu.
+Kompatibilno z Zbirkami uporabnikov (User Collections)
Index: /extensions/BatchDownloader/language/sl_SI/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/sl_SI/plugin.lang.php	(revision 27999)
+++ /extensions/BatchDownloader/language/sl_SI/plugin.lang.php	(revision 28000)
@@ -38,3 +38,52 @@
 $lang['Download history'] = 'Download zgodovina';
 $lang['Download info'] = 'Download info';
-?>
+$lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Opozorilo: Zip zbirke ne sprejmejo posebnih črk, znakov kot naprimer naglašene črke ali narekovaje v obliki "»" in nobeni šumnikov';
+$lang['What can be downloaded?'] = 'Kaj se lahko prenese';
+$lang['Whole gallery'] = 'Celotna galerija';
+$lang['You can not edit this set'] = 'Ne morete urejati tega nabora';
+$lang['You choose to download %d pictures, but the system is limited to %d. You can edit the set, or the last %d pictures will not be downloaded.'] = 'Za prenos ste izbrali %d slik, vendar je sistem omejen na %d. Lahko uredite nabor ali pa zadnjih %d slik ne bo prenešenih.';
+$lang['done'] = 'končano';
+$lang['download'] = 'prenos';
+$lang['hours'] = 'ur';
+$lang['real number of archives can differ'] = 'stvarno število zbirk lahko odstopa';
+$lang['Only check if you are experiencing corrupted archives with ZipArchive.'] = 'Izberite le v primeru da se pojavijo pokvarjene ZIP zbirke';
+$lang['Only check if your host complains about high PHP usage.'] = 'Uporabite v primeru da se vaš gostitelj pritožuje nad visoko porabo PHP ';
+$lang['Photo size'] = 'Velikost slike';
+$lang['Photo size choices'] = 'Možnosti velikosti slike';
+$lang['Please wait, your download is being prepared. This page will automatically refresh when it is ready.'] = 'Prosimo počakajte! Zbirka za vaš prenos se pripravlja. Stran se bo samodejno osvežila ko bo prenos pripravljen.';
+$lang['Preparation'] = 'Pripravljanje';
+$lang['Random'] = 'Naključno';
+$lang['Remove all finished downloads'] = 'Odstrani vse dokončane prenose';
+$lang['Remove from download set'] = 'Odstrani iz nabora prenosov';
+$lang['Return to download page'] = 'Nazaj na stran prenosov';
+$lang['Set type'] = 'Nastavi vrsto';
+$lang['Sorry, there is nothing to download. Some files may have been excluded because of <i title="Authorized types are : %s">filetype restrictions</i>.'] = 'Oprostite, ničesar ni mogoče prenesti. Nekatere datoteke so bile morda izključene zaradi <i title="Dovoljeni vrste so : %s">omejitve datotečnih vrst</i>.';
+$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'Začenjam prenos zbirke #%d ki bo izbrisal zbirko #%d  zato pazite da prenos dokonča.
+Nadaljujem?';
+$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'Zbirka se prenaša. Če se prenos ne začne samodejno prosimo <a href="%s">kliknite tukaj</a>';
+$lang['Total size'] = 'Skupna velikost';
+$lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'Ne najdem ZipArchive PHP razširitve. Skupinski prenašalnik bo zato uporabil PclZip vendar z zmanjšano zmogljivostjo.';
+$lang['Unknown'] = 'Neznano';
+$lang['User collection'] = 'Zbirka uporabnika';
+$lang['User groups'] = 'Skupine uporabnika';
+$lang['Warning: Only registered users can use Batch Downloader.'] = 'Opozorilo: Skupinski prenašalnik lahko uporabljajo le registrirani uporabniki!';
+$lang['Archive comment'] = 'Komentar zbirke';
+$lang['Archive prefix'] = 'Predpona zbirke';
+$lang['Confirm the download of %d pictures?'] = 'Potrjujete prenos %d slik?';
+$lang['Download links'] = 'Povezave prenosa';
+$lang['Download permissions'] = 'Dovoljenja prenosa';
+$lang['Download set deleted'] = 'Nabor prenosa izbrisan';
+$lang['Downloads'] = 'Prenosi';
+$lang['Edit the set'] = 'Uredi nabor';
+$lang['Estimated number of archives'] = 'Ocenjeno število zbirk';
+$lang['Estimated size'] = 'Ocenjena velikost';
+$lang['Force the usage of PclZip instead of ZipArchive as ZIP library'] = 'Vsili uporabo PclZip namesto ZipArchive kot ZIP knjižnico';
+$lang['Generate ZIP'] = 'Ustvari ZIP';
+$lang['It saves space on the server but doesn\'t allow to restart failed downloads.'] = 'Privarčuje prostor na strežniku vendar pa ne omogoča možnosti ponovnega prenosa ob napaki prenosa.';
+$lang['Maximum number of photos per download set'] = 'Maksimalno število slik na en nabor prenosa';
+$lang['Maximum photo size'] = 'Maksimalna velikost slike';
+$lang['Maximum size of each archive (in Megabytes)'] = 'Maksimalna velikost vsake zbirke (v Megabajtih)';
+$lang['No result'] = 'Ni zadetkov';
+$lang['Number of archives'] = 'Število zbirk';
+$lang['Number of images'] = 'Število slik';
+$lang['One size'] = 'Ena velikost';