Index: /extensions/MyPiwiShop/language/el_GR/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/el_GR/intro.html	(revision 28018)
+++ /extensions/MyPiwiShop/language/el_GR/intro.html	(revision 28019)
@@ -17,70 +17,70 @@
 Θα πουλήσετε κάποια μπλουζάκια με τυπωμένη φωτογραφία, κούπες ή άλλα; 
   
-This plugin add a form in image pages to propose for the selected image the products you create with it.
-Paypal is used for the transaction, you MUST have a paypal account. When order is completed, you've got the picture and product names, the selected options, name and address of the user directly from your paypal account.</p>
+Αυτό το plugin προσθέσετε μια φόρμα στις σελίδες εικόνων και προτείνει για την επιλεγμένη εικόνα τα προϊόντα που δημιουργούνται με αυτό.
+Το Paypal χρησιμοποιείται για τη συναλλαγή, γιαυτό πρέπει να έχετε ένα λογαριασμό Paypal. Όταν η παραγγελία έχει ολοκληρωθεί, έχεις τα ονόματα εικόνων και προϊόντων, τις επιλογές που, το όνομα και τη διεύθυνση του χρήστη απευθείας στο λογαριασμό σας στο paypal .</p>
 <br> 
-<h4>Howto use ?</h4>
-  <h5>1 Côté administration du plugin dans l'onglet</h5>
-  <p style="font-weight:bold">1.1 _Configuration_</p>
+<h4>Πώς να το χρησιμοποιήσετε;</h4>
+  <h5>1 Καρτέλα Διαχείρισης του  plugin</h5>
+  <p style="font-weight:bold">1.1 Διαμόρφωση</p>
   <ul> 
-  <li>Enter your Paypal code or Paypal email.</li>
-  <li>The currency used.</li>
-  <li>Expedion costs if they are fix, else include them in the product price.</li>
-  <li>If needed, enter a short description of your products (ex: 100% Coton Tee-shirts made in China...).</li>
-  <li>If needed, enter a short description to presents part of your products (ex: Choose one product in the list).</li>
-  <li>If needde, enter your text to present a unique product (ex: available product).</li>
+  <li>Εισάγετε το email σας Paypal ή τον κωδικό Paypal.</li>
+  <li>Το νόμισμα που χρησιμοποιείται.</li>
+  <li>Τα έξοδα αποστολής αν είναι πάγια, αλλιώς περιλάβετε τα στην τιμή του προϊόντος.</li>
+  <li>Εάν χρειάζεται, πληκτρολογήστε μια σύντομη περιγραφή των προϊόντων σας (π.χ.: 100% Coton Tee-shirts made in China...).</li>
+  <li>Εάν χρειάζεται, πληκτρολογήστε μια σύντομη περιγραφή παρουσίασης των προϊόντων σας (π.χ.: Επιλέξτε ένα προϊόν από τη λίστα).</li>
+  <li>Εάν χρειάζεται, εισάγετε το κείμενό σας για να παρουσιάσεται ένα μοναδικό προϊόν (π.χ.: διαθέσιμο προϊόν).</li>
   </ul>
   
-  <p style="font-weight:bold">1.2 _Products_</p>
+  <p style="font-weight:bold">1.2 Προϊόντα </p>
   <ul> 
-  <li>1.2.1 Add product
-  <p>Enter the product name</p>
-  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
-  <p>Enter the price</p>
-  <p>Select or create an option (refer §3.1)<p>
-  <p>Then submit</p>
+  <li>1.2.1 Προσθέστε προϊόν
+  <p>Πληκτρολογήστε το όνομα του προϊόντος</p>
+  <p>Αν είναι απαραίτητο, χρησιμοποιήστε πρόσθετες πληροφορίες. Αυτή η σημείωση είναι ορατή στην σελίδα διαχείρισης της MyPiwiShop</p>
+  <p>Εισάγετε την τιμή</p>
+  <p>Επιλέξτε ή δημιουργήστε μια επιλογή (refer §3.1)<p>
+  <p>Στη συνέχεια, υποβάλετε</p>
   </li>
-  <li>1.2.2 Produst list
-  <p>Tick one or more products to remove them from the list</p>
-  <p>You can edit or duplicater products</p>
+  <li>1.2.2 Λίστα Προϊόντων
+  <p>Σημειώστε ένα ή περισσότερα προϊόντα για να τα αφαιρέσετε από τη λίστα</p>
+  <p>Μπορείτε να επεξεργαστείτε ή να δημιουργήσετε ένα διπλότυπο των προϊόντων</p>
   </li>
-  <li>1.2.3 Manage product order in form
-  <p>Products are displayed by creation date order by default. You chan change this using drag and drop on product item</p>
+  <li>1.2.3 Διαχειριστείτε την παραγγελία προϊόντος στην φόρμα 
+  <p>Τα προϊόντα προβάλλονται με την ημερομηνία δημιουργίας ως σειρά από προεπιλογή. Μπορείτε να το αλλάξετε με τη χρήση drag and drop στο στοιχείο του προϊόντος</p>
   </li>
   </ul>
   
-  <p style="font-weight:bold">1.3 _Options_</p>
+  <p style="font-weight:bold">1.3 Επιλογές </p>
   <ul> 
-  <li>1.3.1 Add an option
-  <p>Enter the option name</p>
-  <p>Select the option type: select: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
-  <p>If field is required to validate order, tick the box</p>
-  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
-  <p>You have to create some values depending the selected option type (select, radio and checkbox)</p>
-  <p>Then apply changes</p>
+  <li>1.3.1 Προσθέστε μια επιλογή
+  <p>Εισάγετε το όνομα της επιλογής</p>
+  <p>Επιλέξτε τον τύπο επιλογής: επιλέξτε: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border πλάτος σε cm); textarea: text erea (ex: Σχολιάστε το); Checkbox: check button (ex: Έχω διαβάσει και αποδέχομαι τους όρους χρήσης)</p>
+  <p>Εάν το πεδίο απαιτείται για την επικύρωση της τάξης, τσεκάρετε το κουτάκι</p>
+  <p>Αν είναι απαραίτητο, χρησιμοποιήστε πρόσθετες πληροφορίες. Αυτή η σημείωση είναι ορατή στην σελίδα διαχείρισης του MyPiwiShop</p>
+  <p>Θα πρέπει να δημιουργήσετε κάποιες τιμές ΑΝΑΛΟΓΑ με τον επιλεγμένο τύπο επιλογής (select, radio and checkbox)</p>
+  <p>Στη συνέχεια εφαρμόστε τις αλλαγές</p>
   </li>
-  <li>1.3.2 Table of products
-  <p>Tick one or more options to delete</p>
-  <p>You can edit or duplicate an option</p>
+  <li>1.3.2 Πίνακας προϊόντων
+  <p>Επιλέξτε μία ή περισσότερες επιλογές για να τις διαγράψετε</p>
+  <p>Μπορείτε να επεξεργαστείτε ή να δημιουργήσετε ένα διπλότυπο επιλογής</p>
   </li>
-  <li>1.3.3 Manage options order in form
-  <p> Options are listed by creation date by default. You can change this order using drag'n drop</p>
+  <li>1.3.3 Διαχειριστείτε τις επιλογές του στην φόρμα παραγγελίας
+  <p> Οι επιλογές που αναφέρονται με την ημερομηνία δημιουργίας από προεπιλογή. Μπορείτε να το αλλάξετε με τη χρήση drag and drop στο στοιχείο </p>
   </li>
 
 
-  <h5> 2 Piwigo administration side</h5>
-  <p>Now you have to link one or more products to photos. For this use the page "photos/batch manager".</p>
+  <h5> 2 Πλευρά της διαχείρισης piwigo</h5>
+  <p>Τώρα μπορείτε να συνδέσετε ένα ή περισσότερα προϊόντα σε εικόνες. Για το σκοπό αυτό χρησιμοποιήστε τη σελίδα "διαχειριστής Φωτογραφιών".</p>
   <br>
-  <li>2.1 Global mode</li>
-  <p>Select images you want to link to products.<p>
-  <p>In action menu, choose MyPiwiShop.<p>
-  <p>Select your products (You can also remove products already selected for theese pictures).</p>
+  <li>2.1 Η Γενικευμένη κατάσταση</li>
+  <p>Επιλέξτε τις φωτογραφίες που θέλετε να συνδέσετε με προϊόντα.<p>
+  <p>Στο μενού Ενεργειών , επιλέξτε MyPiwiShop.<p>
+  <p>Επιλέξτε τα προϊόντα (Μπορείτε να αφαιρέσετε επίσης προϊόντα που έχουν ήδη επιλεγεί για τις φωτογραφίες).</p>
   <p>Then apply action</p>
   <br>
   <li>2.2 Single mode</li>
   <p>For each photo you can use the link "see related products for this picture".<p>
-  <p>Products used for the picture are listed.</p>
-  <p>You can tick/untick products to link/unlink them to the photo.</p>
-  <p>Then validate the change</p>
+  <p>Τα προϊόντα που χρησιμοποιούνται για την εικόνα απαριθμούνται.</p>
+  <p>Μπορείτε να επιλέξετε / αποεπιλέξετε προϊόντα που θα συνδεθούν / αποσυνδεθούν στην εικόνα.</p>
+  <p>Στη συνέχεια, επικυρώστε τις αλλαγές</p>
 </ul> 
   
@@ -90,3 +90,3 @@
   
 
-Lexiglot © 2011-2012 Strangeplanet.fr - Created by Damien "Mistic" Sorel 
+Lexiglot © 2011-2012 Strangeplanet.fr - Δημιουργήθηκε από τον Damien "Mistic" Sorel
Index: /extensions/MyPiwiShop/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/el_GR/plugin.lang.php	(revision 28018)
+++ /extensions/MyPiwiShop/language/el_GR/plugin.lang.php	(revision 28019)
@@ -63,2 +63,22 @@
 $lang['No matching option found'] = 'Δεν υπάρχει επιλογή που να ταιριάζει';
 $lang['Fields marked with * must be completed'] = 'Τα πεδία που σημειώνονται με * πρέπει να συμπληρωθούν';
+$lang['you must enter the product and not the price'] = 'θα πρέπει να εισάγετε το προϊόν και όχι η τιμή';
+$lang['you must enter the name of the option'] = 'θα πρέπει να εισάγετε το όνομα της επιλογής';
+$lang['the product'] = 'το προϊόν';
+$lang['the order is changed'] = 'η παραγγελία έχει αλλάξει';
+$lang['the option'] = 'η επιλογή';
+$lang['shipping fees'] = 'τα έξοδα αποστολής';
+$lang['see related products for this picture'] = 'δείτε σχετικά προϊόντα για αυτή την εικόνα';
+$lang['products have been removed for these pictures'] = 'τα προϊόντα έχουν αφαιρεθεί για αυτές τις εικόνες';
+$lang['products have been added to these images'] = 'τα προϊόντα έχουν προστεθεί σε αυτές τις εικόνες';
+$lang['option registered'] = 'η επιλογή καταχωρηθεί';
+$lang['duplicate'] = 'δημιουργία διπλότυπου';
+$lang['drag / drop to change the order'] = 'drag / drop για να αλλάξετε τη σειρά';
+$lang['add value'] = 'προσθέστε αξία';
+$lang['a product'] = 'ένα προϊόν';
+$lang['a option'] = 'μια επιλογή';
+$lang['Your Paypal id'] = 'Το Paypal id σας ή η διεύθυνση ηλεκτρονικού ταχυδρομείου του λογαριασμού σας στο Paypal';
+$lang['What is MyPiwiShop?'] = 'Τι είναι το MyPiwiShop;';
+$lang['View cart'] = 'Δείτε το καλάθι';
+$lang['Value'] = 'Aξία';
+$lang['Validate the change'] = 'Επικυρώσετε την αλλαγή';