Index: /extensions/Slide/js/menu.js
===================================================================
--- /extensions/Slide/js/menu.js	(revision 28048)
+++ /extensions/Slide/js/menu.js	(revision 28049)
@@ -66,12 +66,16 @@
 			$('.ident').removeClass('activate');
 	});
+
+	$('#qsearchInput').attr('value',qsearch_prompt);
+	
 	$('#qsearchInput').focus(function(){
-		if($('#qsearchInput').attr('value') == qsearch_prompt){
-			$('#qsearchInput').attr('value', '')
+		if($('#qsearchInput').val() == qsearch_prompt){
+			$('#qsearchInput').val('')
 		}
 	});
+
 	$('#qsearchInput').blur(function(){
-		if($('#qsearchInput').attr('value') != qsearch_prompt){
-			$('#qsearchInput').attr('value', qsearch_prompt)
+		if($('#qsearchInput').val() != qsearch_prompt){
+			$('#qsearchInput').val(qsearch_prompt)
 		}
 	});
Index: /extensions/Slide/js/slide.js
===================================================================
--- /extensions/Slide/js/slide.js	(revision 28048)
+++ /extensions/Slide/js/slide.js	(revision 28049)
@@ -68,26 +68,32 @@
 		});
 		
+//quicksearch		
 		$(document).on('submit','#quicksearch', function(e) {
 			i++;
-			var $val	= $('#qsearchInput').attr('value'),
-				$url	= 'qsearch.php?q='+ $val,
-				frame 	= $("<iframe />").attr({src: $url,id: 'frame'}).css({display:'none'});
+			var $search 		= $(this),
+				$searchData		= $search.serialize(), 
+				$searchHref 	= $search.attr('action'),
+				$url			= $searchHref+'?'+$searchData,
+				frame 			= $("<iframe />").attr({src: $url,id: 'frame'}).css({display:'none'});
 				
-				$('body').append(frame);
+			$('body').append(frame);
+			
+			var $obj = $('#frame').contents();
+			setTimeout(	function(){
+				var $obj 		= $("#frame").contents(),
+					$urlframe	 = $obj[0].location.href;
+				_pushstate($urlframe);
+				$('#frame').remove()
+			},1000);
 				
-				setTimeout(	function () {
-					var $obj = $("#frame").contents(),
-						$urlframe = $obj[0].location.href;
-					$('#frame').pushstate($urlframe);
-					$('#frame').remove()
-					},
-				1000);
-				
+			$int = setTimeout(function(){
+				$('#slideLoading').css('z-index',1000)
+			}, 500);
+			
+			$('#qsearchInput').val(qsearch_prompt);
 			_load($url);
-			$(this).attr('value', qsearch_prompt);
-			
-			e.preventDefault();
-		});
-
+			e.preventDefault();
+		});
+		
 // Picture page rating
 		$(document).on('mouseover','.rateButton',function(){
@@ -304,6 +310,10 @@
 			if($('#slideshow').length){
 				$('#theHeader', $layerShow).remove();
-				_load_slideshow($urlFirst, $slide_w);
-				
+				if (!$('#slideshow').hasClass('slideshowReady')) {
+					$.getScript('themes/Slide/js/slideshow.js', function(){
+						$('#slideshow').addClass('slideshowReady');
+						_load_slideshow($urlFirst, $slide_w);
+					});
+				};
 			};
 			if($('body').hasClass('lightbox')||$('body').hasClass('lightboxReady')) {
@@ -318,4 +328,7 @@
 			if($('body').hasClass('SmiliesSupport')||$('body').hasClass('SmiliesSupportReady')) {
 				_SmiliesSupport()
+			};
+			if($('body').hasClass('SocialButtons')) {
+				_SocialButtons()
 			};
 
@@ -391,5 +404,8 @@
 								'#ato_header a',
 								'#ato_header_closed a',
-								'a[rel=colorbox0]'
+								'a[rel=colorbox0]',
+								'a[title="Share on tumblr"]',
+								'.IN-widget a',
+								'.twitter-share-button a',
 								],
 				$b 			= [	'.pwg-icon-letters',
@@ -539,9 +555,4 @@
 		function _load_slideshow($href,$slideW) {
 			$('#slideshow').empty().addClass('slideloader');
-			if (!$('#slideshow').hasClass('slideshowReady')) {
-				$.getScript('themes/Slide/js/slideshow.js', function(){
-					$('#slideshow').addClass('slideshowReady');
-				});
-			};
 			
 			$.ajax({
@@ -702,4 +713,8 @@
 				$layerShow 	= $('body').data('layerShow');
 			$('#comments', $layerShow).replaceWith($com);
+			if($('#the_page',$layerShow).hasClass('EC_drag')||$('#the_page',$layerShow).hasClass('EC_tictac')){
+				_ECaptcha();
+			};
+
 		};
 
Index: /extensions/Slide/js/slideshow.js
===================================================================
--- /extensions/Slide/js/slideshow.js	(revision 28048)
+++ /extensions/Slide/js/slideshow.js	(revision 28049)
@@ -51,5 +51,4 @@
 				navThumb_w		: '',
 			};
-			
 			$(ele).data('e',v_ele); 
 			$(ele).width(options.width).height(options.height).addClass(options.styleSlideshow + ' slideshow').append($('<div />').addClass('slidecontent').append($('<div />').addClass('contener_slideshow').append($('<ul />').height(cont_h))).append($('<div/>').addClass('control_slideshow')));
@@ -57,5 +56,4 @@
 						
 			//mise en place des images
-			$(document).ready(function(){
 				$.each(options.imgs, function(i, img){
 					var $imag		= img.src,
@@ -66,5 +64,5 @@
 						$height 	= img.height,
 						$width		= img.width;
-						
+			
 						if(typeof $descr === 'undefined'){	
 							var divDescr	= ""
@@ -119,5 +117,4 @@
 				}
 				
-			});	
 			
 
@@ -319,6 +316,4 @@
 							bottom	: (($box_h / 2)-($new_h / 2)) + 'px',							
 						})
-									console.debug($top);
-
 				};
 				
Index: /extensions/Slide/local_head.tpl
===================================================================
--- /extensions/Slide/local_head.tpl	(revision 28048)
+++ /extensions/Slide/local_head.tpl	(revision 28049)
@@ -8,9 +8,6 @@
 {foreach from=$pluginActive item=foo}{if $foo == 'EasyCaptcha'}{combine_script id='slideEC' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideEasyCaptcha.js'}{/if}{/foreach}
 {foreach from=$pluginActive item=foo}{if $foo == 'MyPiwiShop'}{combine_script id='slidemps' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideMyPiwiShop.js'}{/if}{/foreach}
-{foreach from=$pluginActive item=foo}
-{if $foo == 'SmiliesSupport'}
-{combine_script id='slideSmS' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideSmiliesSupport.js'}
-{combine_css id='markitup' order=10 path='plugins/SmiliesSupport/template/markitup/style.markitup.css'}
-{/if}{/foreach}
+{foreach from=$pluginActive item=foo}{if $foo == 'SmiliesSupport'}{combine_script id='slideSmS' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideSmiliesSupport.js'}{combine_css id='markitup' order=10 path='plugins/SmiliesSupport/template/markitup/style.markitup.css'}{/if}{/foreach}
+{foreach from=$pluginActive item=foo}{if $foo == 'SocialButtons'}{combine_script id='slideSB' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideSocialButtons.js'}{/if}{/foreach}
 {/if}
 
Index: /extensions/Slide/template/menubar.tpl
===================================================================
--- /extensions/Slide/template/menubar.tpl	(revision 28048)
+++ /extensions/Slide/template/menubar.tpl	(revision 28049)
@@ -22,11 +22,11 @@
 
 				<div id="search">
-					<form id="quicksearch">
+					<form action="{$ROOT_URL}qsearch.php" method="get" id="quicksearch">
 						<p style="margin:0;padding:0"{*this <p> is for html validation only - does not affect positioning*}>
-							<input type="text" name="q" id="qsearchInput" />
+							<input type="text" name="q" id="qsearchInput"/>
 							<input type="submit" value=" " id="submitSearch" />	
 						</p>
 					</form>
-				<script type="text/javascript">var qsearch_prompt="{'Quick search'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
+				<script type="text/javascript">var qsearch_prompt="{'Quick search'|@translate|@escape:'javascript'}";</script>
 				</div>
 			</div>
Index: /extensions/Slide/themeconf.inc.php
===================================================================
--- /extensions/Slide/themeconf.inc.php	(revision 28048)
+++ /extensions/Slide/themeconf.inc.php	(revision 28049)
@@ -3,5 +3,5 @@
 Theme Name: Slide
 Version: auto
-Description: theme PwgCarbon_dft pour Piwigo.
+Description: theme Slide pour Piwigo.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=688
 Author:Miklfe [piwitheme.fr]